# Navigation Service
Nokken uses a centralized navigation system to handle screen transitions.

## Key Components

- `NavigationService`: Provides methods for navigating between screens
- `AppRouter`: Generates routes based on route names and arguments
- `RouteNames`: Constants for all route paths
- `RouteArguments`: Type-safe argument passing between screens

## Interactions with Other Services

- Feature modules: All screens use the navigation service to navigate between screens
- Core screens: The main container screen uses navigation to switch between feature tabs
- `DialogService`: Uses the navigation service for dialog-related navigation
